
D4Science Infrastructure - Task #3267

Task # 3202 (Closed): add statistical resources to gcube/preprod VO

Add Statistical RuntimeResource to /gcube/preprod VO

Apr 14, 2016 11:27 AM - Roberto Cirillo

Status: Closed Start date: Apr 14, 2016

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: Populate gcube/preprod environment   

Infrastructure: Pre-Production   

Description

The following resources should be added to /gcube/preprod VO:

DataStorage/StorageManager  VO/VRE  StorageManager

Database/Obis2Repository    VRE Trendylyzer

Database/StatisticalManagerDatabase INFRA/VO/VRE    Statistical

Database/AquamapsDB VO/VRE  Algorithms

Database/FishCodesConversion    VO/VRE  Algorithms

Database/FishBase   VO/VRE  Algorithms - TaxaMatch

DataStorage/Storage Manager INFRA/VO/VRE    All

Gis/Geoserver1..n   VRE Maps Algorithms

Gis/TimeSeriesDatastore VO/VRE  Maps Algorithms

Gis/GeoNetwork  VRE Maps Algorithms

Service/MessageBroker   VO  Service

BiodiversityRepository/CatalogofLife    VO/VRE  Occurrence Algorithms

BiodiversityRepository/GBIF VO/VRE  Occurrence Algorithms

BiodiversityRepository/ITIS VO/VRE  Occurrence Algorithms

BiodiversityRepository/WoRDSS   VO/VRE  Occurrence Algorithms

BiodiversityRepository/WoRMS    VO/VRE  Occurrence Algorithms

BiodiversityRepository/OBIS VO/VRE  Occurrence Algorithms

BiodiversityRepository/NCBI VO/VRE  Occurrence Algorithms

BiodiversityRepository/SpeciesLink  VO/VRE  Occurrence Algorithms

History

#1 - Apr 14, 2016 04:55 PM - Roberto Cirillo

There are a lot of resources that aren't defined in the root-vo (/gcube) but they are only defined in the VO scope (/gcube/devsec).

the fast way for porting these resources on /gcube/preprod scope is to copy all the resources from devsec to preprod (in this way the two resources

have a different id).

Otherwise it's need to define from scratch all the resources in root VO and after that, perform the "addToScope" operation for every VO and VRE in

the gcube infrastructure. This way take much more time but it is more clean. What do you suggest, @gianpaolo.coro@isti.cnr.it ,

@pasquale.pagano@isti.cnr.it ?

#2 - Apr 14, 2016 04:58 PM - Gianpaolo Coro

I would advice to copy the resources. Creating them from scratch brings high risk of introducing errors and is very time consuming.

#3 - Apr 15, 2016 11:06 AM - Roberto Cirillo

- Status changed from New to In Progress

#4 - Apr 15, 2016 11:28 AM - Roberto Cirillo

The following resource: Database/FishCodesConversion , is not present in /gcube/devsec VO. @gianpaolo.coro@isti.cnr.it is it right? 

#5 - Apr 15, 2016 11:32 AM - Gianpaolo Coro

This is needed by AquaMaps, which I guess is in the production env. only.

#6 - Apr 28, 2016 10:41 AM - Roberto Cirillo

- % Done changed from 0 to 100
#7 - Apr 28, 2016 10:41 AM - Roberto Cirillo

- Status changed from In Progress to Closed
